aboutsummaryrefslogtreecommitdiff
path: root/test/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
commit56fbfe7ec118f737be07ff9b80182706fe7dfd12 (patch)
tree2f2b9feda82215b944fdd20416bf6858549ed04c /test/bash
parentSpruce up lint-bin and lint-games scripts (diff)
downloaddotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.tar.gz
dotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.zip
Restore -f test rather than -e test
Because it prevents testing directories, of course
Diffstat (limited to 'test/bash')
-rwxr-xr-xtest/bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/bash b/test/bash
index 60616c95..f203c2c1 100755
--- a/test/bash
+++ b/test/bash
@@ -1,6 +1,6 @@
#!/bin/sh
for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
- [ -e "$bash" ] || continue
+ [ -f "$bash" ] || continue
bash -n "$bash" || exit
done
printf 'All bash(1) scripts parsed successfully.\n'